# Requester

## Gets a list of requester profiles

> This endpoint is used to fetch all the requester in the current organization (works based on token used to authorize)

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/requester/profile/":{"get":{"operationId":"ux_common_requester_profile_retrieve","description":"This endpoint is used to fetch all the requester in the current organization (works based on token used to authorize)","summary":"Gets a list of requester profiles","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Requester"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"description":""}}}}}}
```

## Creates a new requester&#x20;

> This endpoint is used to save a new requester for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/requester/profile/":{"post":{"operationId":"ux_common_requester_profile_create","description":"This endpoint is used to save a new requester for the current organization","summary":"Creates a new requester ","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a requester profile with the given id

> This endpoint is used to fetch a requester in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/{id}/":{"get":{"operationId":"ux_common_requester_profile_retrieve_2","description":"This endpoint is used to fetch a requester in the current organization","summary":"Gets a requester profile with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Requester"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## Edits the requester with given id

> This endpoint is used to edit an existing requester for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/{id}/":{"put":{"operationId":"ux_common_requester_profile_update","description":"This endpoint is used to edit an existing requester for the current organization","summary":"Edits the requester with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## Deletes the requester with given id

> This endpoint is used to delete an existing requester for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/requester/profile/{id}/":{"delete":{"operationId":"ux_common_requester_profile_destroy","description":"This endpoint is used to delete an existing requester for the current organization","summary":"Deletes the requester with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Requester"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/common/requester/profile/assets/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/assets/":{"post":{"operationId":"ux_common_requester_profile_assets_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## POST /ux/common/requester/profile/create-csv/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/create-csv/":{"post":{"operationId":"ux_common_requester_profile_create_csv_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## POST /ux/common/requester/profile/create\_new\_requester/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/create_new_requester/":{"post":{"operationId":"ux_common_requester_profile_create_new_requester_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## GET /ux/common/requester/profile/initconfig/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/initconfig/":{"get":{"operationId":"ux_common_requester_profile_initconfig_retrieve","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## POST /ux/common/requester/profile/requester\_details/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/requester_details/":{"post":{"operationId":"ux_common_requester_profile_requester_details_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## POST /ux/common/requester/profile/updateReportingMngr/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/updateReportingMngr/":{"post":{"operationId":"ux_common_requester_profile_updateReportingMngr_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## POST /ux/common/requester/profile/updateRequesterStatus/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/updateRequesterStatus/":{"post":{"operationId":"ux_common_requester_profile_updateRequesterStatus_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```

## POST /ux/common/requester/profile/upload-csv/

> API endpoint that allows Requester to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"RequesterList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"requester_id":{"type":"string","maxLength":25},"full_name":{"type":"string","readOnly":true},"email":{"type":"string","readOnly":true},"username":{"type":"string","nullable":true,"maxLength":255},"phone_ext":{"type":"string","readOnly":true},"contact_number":{"type":"string","readOnly":true},"land_line":{"type":"string","readOnly":true},"type":{"type":"integer"},"is_login_enable":{"type":"boolean"},"avatar_color":{"type":"string","nullable":true},"work_location":{"$ref":"#/components/schemas/Embedded"},"is_login_active":{"type":"boolean"},"phone_number":{"type":"string","readOnly":true},"user_id":{"type":"integer"},"department":{"type":"string","nullable":true,"maxLength":255},"requester_type":{"type":"string","readOnly":true},"user_details":{"$ref":"#/components/schemas/Embedded"},"creation_time":{"type":"string","format":"date-time","nullable":true},"support_location":{"type":"string","nullable":true},"emp_type":{"type":"string","maxLength":100},"tags":{"type":"array","items":{}},"notify_email":{"type":"string","readOnly":true},"notify_phone":{"type":"string","readOnly":true},"joining_date":{"type":"object","additionalProperties":{},"nullable":true},"invited_user":{"type":"boolean"},"designation":{"type":"string","nullable":true,"maxLength":255},"organization_name":{"type":"string","readOnly":true},"customer_id":{"type":"string","maxLength":255},"customer_entity_id":{"type":"string"},"subscriber_id":{"type":"string","nullable":true,"maxLength":255},"customer_site_group":{"type":"string","nullable":true,"maxLength":255},"profile_id":{"type":"string","nullable":true},"employee_id":{"type":"string","maxLength":100},"base_location":{"$ref":"#/components/schemas/Embedded"},"contact":{"type":"string","readOnly":true},"unmasked_full_name":{"type":"string","readOnly":true},"unmasked_email":{"type":"string","readOnly":true},"is_ad":{"type":"boolean"},"subscription_info":{"type":"object","additionalProperties":{}},"is_profile_image":{"type":"boolean"}},"required":["contact","contact_number","email","full_name","land_line","notify_email","notify_phone","organization_name","phone_ext","phone_number","requester_id","requester_type","unmasked_email","unmasked_full_name"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/common/requester/profile/upload-csv/":{"post":{"operationId":"ux_common_requester_profile_upload_csv_create","description":"API endpoint that allows Requester to be viewed or edited.","tags":["Requester"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/RequesterList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequesterList"}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/requester.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
